Subject: Re: Diagnosing network module for missing link establishment (cxgb3, Chelsio T320)

From: "U.Mutlu" <[email-masked]>
Date: Fri, 29 Jun 2018 16:45:36 +0200

Andrew Lunn wrote on 06/29/2018 03:33 PM:
>> Kernel: 3.16.0-4-amd64 (Debian v8 stock kernel)
>
> This is very old. Please at least try the current version of Debian,
> "Stretch".
>
> 	Andrew
>

I had the same idea and attached the card to another machine with a recent kernel:
# uname -a
Linux c5 4.14.1-my1a #1 SMP Wed Nov 22 11:20:35 CET 2017 x86_64 GNU/Linux

But the version of the cxgb3.ko is the same, and the same effect happens: no 
link establishment.

So, what should I do get it working?
I could also re-compile the cxgb3 driver with enabled diagnostic settings, if 
it has any such (haven't studied yet).

Is there an easier method to find the reason, and hopefully get it establish a 
link?

Btw, to encirle the problem, I'm simply attaching the fibre cable
from port 1 to port 2 on the same card. Is doing so ok?

Thx

# dmesg | grep "Chelsio\|cxgb\|eth[0-9]"
[    0.670473] cxgb3: Chelsio T3 Network Driver - version 1.1.5-ko
[    0.691397] alx 0000:04:00.0 eth0: Qualcomm Atheros AR816x/AR817x Ethernet 
[d0:50:99:0e:89:04]
[    1.044840] cxgb3 0000:01:00.0: Port 0 using 4 queue sets.
[    1.044883] cxgb3 0000:01:00.0: Port 1 using 4 queue sets.
[    1.044924] cxgb3 0000:01:00.0 eth1: Chelsio T320 10GBASE-R RNIC (rev 3) 
PCI Express x8 MSI-X
[    1.044964] cxgb3: eth1: 128MB CM, 256MB PMTX, 256MB PMRX, S/N: PT37080022 

[    1.044999] cxgb3 0000:01:00.0 eth2: Chelsio T320 10GBASE-R RNIC (rev 3) 
PCI Express x8 MSI-X
[    1.728291] cxgb3 0000:01:00.0 eth6: renamed from eth1
[    1.748264] systemd-udevd[368]: renamed network interface eth1 to eth6
[    1.748351] cxgb3 0000:01:00.0 eth7: renamed from eth2
[    1.777472] alx 0000:04:00.0 eth3: renamed from eth0
[    1.777522] systemd-udevd[378]: renamed network interface eth2 to eth7
[    1.789052] systemd-udevd[372]: renamed network interface eth0 to eth3
[   31.248196] alx 0000:04:00.0 eth3: NIC Up: 1 Gbps Full